/* Reflow Oven Controller
*
* Copyright (C) 2020  Mario Hüttel <mario.huettel@gmx.net>
*
* This file is part of the Reflow Oven Controller Project.
*
* The reflow oven controller is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License version 2 as
* published by the Free Software Foundation.
*
* The Reflow Oven Control Firmware is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with the reflow oven controller project.
* If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __UPDATER_UPDATER_H__
#define __UPDATER_UPDATER_H__

#define UPDATER_RAM_CODE_BASE_ADDRESS (0x20000000UL)

/**
 * @brief Start the RAM Code of the updater. This function will never return!
 */
void __attribute__((noreturn)) start_updater(void);

#endif /* __UPDATER_UPDATER_H__ */
